Package org.apache.sling.cms.core.models

## Class VersionInfo

- java.lang.Object
- - org.apache.sling.cms.core.models.VersionInfo

    @Model(adaptables=org.apache.sling.api.resource.Resource.class)
    public class VersionInfo
    extends Object

Returns all of the versions for a Resource. At the moment only JCR nodes are supported.

### Constructor Summary

Constructors
`VersionInfo​(org.apache.sling.api.resource.Resource resource)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<javax.jcr.version.Version>` `getVersions()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VersionInfo

    public VersionInfo​(org.apache.sling.api.resource.Resource resource)

### Method Detail

#### getVersions

    public List<javax.jcr.version.Version> getVersions()